#!/usr/bin/python
# -*- coding: utf-8 -*-
#------------------------------------------------------------------------------
#$Author: antanas $
#$Revision: 7423 $
#$URL: svn://www.crystallography.net/cod-tools/tags/v2.11/src/components/pycodcif/tests/shtests/build_cif_001.sh $
#$Date: 2019-11-15 20:02:19 +0200 (Fri, 15 Nov 2019) $
#$Id: build_cif_001.sh 7423 2019-11-15 18:02:19Z antanas $
#------------------------------------------------------------------------------
#*
#  Test driver for pycodcif module.
#**
import sys
from pycodcif import new_cif, cif_start_datablock, datablock_insert_cifvalue, cif_datablock_list, cif_print

cif = new_cif( None )
cif_start_datablock( cif, "first", None )

datablock_insert_cifvalue( cif_datablock_list( cif ), "_number",  12.3456789, None )
datablock_insert_cifvalue( cif_datablock_list( cif ), "_string",  "Someone Else", None )
datablock_insert_cifvalue( cif_datablock_list( cif ), "_unknown", None, None )

cif_print( cif )
